Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4926 - bad use of "/" character not checked
Summary: bad use of "/" character not checked
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-05 17:16 UTC by tengel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-16 16:09:33 UTC


Attachments (Terms of Use)

Description tengel 1999-09-05 17:16:38 UTC
Illegal/accidental use of the "/" character is not checked
in the Version: tag (and possibly others) when RPM reads the
spec file, causing it to fail later in the build process.
Should be changed to check just like "-" is already checked
for.

Comment 1 Jeff Johnson 1999-12-16 16:09:59 UTC
The current design of rpm says
	Everything but '-' is permitted in version/release.
even though, as we both know, certain characters like "%/$:.! \t\r\n" are
bound to produce surprises when version is evaluated in different contexts.
Without a more explicit definition of what is permitted in version/release,
it's impossible to implement a better check than is what already implemented.


Note You need to log in before you can comment on or make changes to this bug.